
_main:

;MyProject.c,11 :: 		void main()
;MyProject.c,22 :: 		ADCON1=0x06; //all pins at portA are configure as digital I/O pins
	MOVLW      6
	MOVWF      ADCON1+0
;MyProject.c,23 :: 		TRISA=0xff;
	MOVLW      255
	MOVWF      TRISA+0
;MyProject.c,25 :: 		TRISE=0x07;
	MOVLW      7
	MOVWF      TRISE+0
;MyProject.c,30 :: 		TRISE0_bit=1;
	BSF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;MyProject.c,31 :: 		TRISE1_bit=1;
	BSF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;MyProject.c,32 :: 		TRISE2_bit=1;
	BSF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;MyProject.c,34 :: 		PORTA=0;    //porta as input
	CLRF       PORTA+0
;MyProject.c,35 :: 		RE0_bit=0;    //porte as input
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;MyProject.c,36 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;MyProject.c,37 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;MyProject.c,44 :: 		TRISD=0b01110000;
	MOVLW      112
	MOVWF      TRISD+0
;MyProject.c,45 :: 		TRISC3_bit =0;
	BCF        TRISC3_bit+0, BitPos(TRISC3_bit+0)
;MyProject.c,46 :: 		TRISC4_bit =0;
	BCF        TRISC4_bit+0, BitPos(TRISC4_bit+0)
;MyProject.c,47 :: 		TRISC5_bit =0;
	BCF        TRISC5_bit+0, BitPos(TRISC5_bit+0)
;MyProject.c,48 :: 		TRISC6_bit =0;
	BCF        TRISC6_bit+0, BitPos(TRISC6_bit+0)
;MyProject.c,52 :: 		PORTD=0;
	CLRF       PORTD+0
;MyProject.c,53 :: 		RC3_bit=0;
	BCF        RC3_bit+0, BitPos(RC3_bit+0)
;MyProject.c,54 :: 		RC4_bit=0;
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,55 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,56 :: 		RC6_bit=0;
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,76 :: 		while(1)
L_main0:
;MyProject.c,81 :: 		if (RA1_bit==1||RA4_bit==1)   //if someone want to go to floor 1 or someone call lift at floor1 from floor0
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main11
	BTFSC      RA4_bit+0, BitPos(RA4_bit+0)
	GOTO       L__main11
	GOTO       L_main4
L__main11:
;MyProject.c,84 :: 		delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main5:
	DECFSZ     R13+0, 1
	GOTO       L_main5
	DECFSZ     R12+0, 1
	GOTO       L_main5
	NOP
;MyProject.c,86 :: 		initializepwm();
	CALL       _initializepwm+0
;MyProject.c,87 :: 		up();
	CALL       _up+0
;MyProject.c,89 :: 		}
L_main4:
;MyProject.c,90 :: 		if(RD5_bit==0)    //2nd floor sensor input
	BTFSC      RD5_bit+0, BitPos(RD5_bit+0)
	GOTO       L_main6
;MyProject.c,92 :: 		delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	NOP
;MyProject.c,93 :: 		stopmotor();
	CALL       _stopmotor+0
;MyProject.c,96 :: 		}
L_main6:
;MyProject.c,98 :: 		}
	GOTO       L_main0
;MyProject.c,99 :: 		}
L_end_main:
	GOTO       $+0
; end of _main

_initializepwm:

;MyProject.c,102 :: 		void initializepwm()      //4kHz frequency and 50% duty cycle
;MyProject.c,105 :: 		TRISC2_bit =0; //CCP1 pin config as output pin
	BCF        TRISC2_bit+0, BitPos(TRISC2_bit+0)
;MyProject.c,106 :: 		PORTC.F2=0;
	BCF        PORTC+0, 2
;MyProject.c,110 :: 		PWM1_Init(5000);                    // Initialize PWM1 module at 5KHz
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      99
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;MyProject.c,113 :: 		}
L_end_initializepwm:
	RETURN
; end of _initializepwm

_up:

;MyProject.c,121 :: 		void up()     //60% duty cycle for forward direction
;MyProject.c,123 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;MyProject.c,124 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_up8:
	DECFSZ     R13+0, 1
	GOTO       L_up8
	DECFSZ     R12+0, 1
	GOTO       L_up8
	NOP
;MyProject.c,125 :: 		PWM1_Set_Duty(153);  //153
	MOVLW      153
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,126 :: 		}
L_end_up:
	RETURN
; end of _up

_down:

;MyProject.c,128 :: 		void down() //motor move in reverse direction below 50% duty cycles
;MyProject.c,130 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;MyProject.c,131 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_down9:
	DECFSZ     R13+0, 1
	GOTO       L_down9
	DECFSZ     R12+0, 1
	GOTO       L_down9
	NOP
;MyProject.c,132 :: 		PWM1_Set_Duty(51);  //102
	MOVLW      51
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,134 :: 		}
L_end_down:
	RETURN
; end of _down

_stopmotor:

;MyProject.c,136 :: 		void stopmotor()  // motor is stop at 50% duty cycle
;MyProject.c,139 :: 		PWM1_Start();    //start pwm
	CALL       _PWM1_Start+0
;MyProject.c,140 :: 		Delay_ms(40);
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L_stopmotor10:
	DECFSZ     R13+0, 1
	GOTO       L_stopmotor10
	DECFSZ     R12+0, 1
	GOTO       L_stopmotor10
	NOP
;MyProject.c,141 :: 		PWM1_Set_Duty(127);
	MOVLW      127
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;MyProject.c,143 :: 		}
L_end_stopmotor:
	RETURN
; end of _stopmotor

_zero:

;MyProject.c,146 :: 		void zero()
;MyProject.c,149 :: 		RD2_bit=0;//1st seven segment
	BCF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,150 :: 		RD3_bit=0;
	BCF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,151 :: 		RC4_bit=0; //2nd
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,152 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,153 :: 		RC6_bit=0;  //3rd
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,154 :: 		RC7_bit=0;
	BCF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,157 :: 		}
L_end_zero:
	RETURN
; end of _zero

_one:

;MyProject.c,159 :: 		void one()
;MyProject.c,162 :: 		RD2_bit=1;//1 seven segment
	BSF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,163 :: 		RD3_bit=0;
	BCF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,164 :: 		RC4_bit=1; //2nd
	BSF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,165 :: 		RC5_bit=0;
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,166 :: 		RC6_bit=1; //3rd
	BSF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,167 :: 		RC7_bit=0;
	BCF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,169 :: 		}
L_end_one:
	RETURN
; end of _one

_two:

;MyProject.c,171 :: 		void two()
;MyProject.c,174 :: 		RD2_bit=0;//1st seven segment
	BCF        RD2_bit+0, BitPos(RD2_bit+0)
;MyProject.c,175 :: 		RD3_bit=1;
	BSF        RD3_bit+0, BitPos(RD3_bit+0)
;MyProject.c,176 :: 		RC4_bit=0; //2nd
	BCF        RC4_bit+0, BitPos(RC4_bit+0)
;MyProject.c,177 :: 		RC5_bit=1;
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
;MyProject.c,178 :: 		RC6_bit=0;   //3rd
	BCF        RC6_bit+0, BitPos(RC6_bit+0)
;MyProject.c,179 :: 		RC7_bit=1;
	BSF        RC7_bit+0, BitPos(RC7_bit+0)
;MyProject.c,181 :: 		}
L_end_two:
	RETURN
; end of _two
